Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_IOP::TAO_IOR_Property Class Reference

`#include <IORC.h>`

Inheritance diagram for TAO_IOP::TAO_IOR_Property:

[legend]
Collaboration diagram for TAO_IOP::TAO_IOR_Property:

[legend]
List of all members.

## Public Types
typedef TAO_IOR_Property_ptr | _ptr_type
typedef TAO_IOR_Property_var | _var_type
## Public Methods
virtual CORBA::Boolean | set_property (CORBA::Object_ptr &ior ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , TAO_IOP::Invalid_IOR )
virtual CORBA::Boolean | set_primary (CORBA::Object_ptr &ior1, CORBA::Object_ptr ior2 ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , TAO_IOP::Duplicate , TAO_IOP::NotFound )
virtual CORBA::Object_ptr | get_primary (CORBA::Object_ptr ior ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , TAO_IOP::NotFound )
virtual CORBA::Boolean | is_primary_set (CORBA::Object_ptr ior ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | remove_primary_tag (CORBA::Object_ptr &iogr ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , TAO_IOP::NotFound )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
TAO_IOR_Property_ptr | _duplicate (TAO_IOR_Property_ptr obj)
TAO_IOR_Property_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
TAO_IOR_Property_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| TAO_IOR_Property (void)
virtual | ~TAO_IOR_Property (void)
## Private Methods
| TAO_IOR_Property (const TAO_IOR_Property &)
void | operator= (const TAO_IOR_Property &)

## Member Typedef Documentation

typedef TAO_IOR_Property_ptr TAO_IOP::TAO_IOR_Property::_ptr_type

| Reimplemented from CORBA::Object.

typedef TAO_IOR_Property_var TAO_IOP::TAO_IOR_Property::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

TAO_IOP::TAO_IOR_Property::TAO_IOR_Property | ( | void |  | ) | `[protected]`

TAO_IOP::TAO_IOR_Property::~TAO_IOR_Property | ( | void |  | ) | `[protected, virtual]`

TAO_IOP::TAO_IOR_Property::TAO_IOR_Property | ( | const TAO_IOR_Property & |  | ) | `[private]`

## Member Function Documentation

TAO_IOP::TAO_IOR_Property_ptr TAO_IOP::TAO_IOR_Property::_duplicate | ( | TAO_IOR_Property_ptr | obj | ) | `[static]`

const char * TAO_IOP::TAO_IOR_Property::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean TAO_IOP::TAO_IOR_Property::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

TAO_IOR_Property_ptr TAO_IOP::TAO_IOR_Property::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object.

TAO_IOR_Property_ptr TAO_IOP::TAO_IOR_Property::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

void TAO_IOP::TAO_IOR_Property::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Object.

virtual CORBA::Object_ptr TAO_IOP::TAO_IOR_Property::get_primary | ( | CORBA::Object_ptr ior | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , TAO_IOP::NotFound )`[pure virtual]`

virtual CORBA::Boolean TAO_IOP::TAO_IOR_Property::is_primary_set | ( | CORBA::Object_ptr ior | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

CORBA::Boolean TAO_IOP::TAO_IOR_Property::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

void TAO_IOP::TAO_IOR_Property::operator= | ( | const TAO_IOR_Property & |  | ) | `[private]`

virtual CORBA::Boolean TAO_IOP::TAO_IOR_Property::remove_primary_tag | ( | CORBA::Object_ptr &iogr | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , TAO_IOP::NotFound )`[pure virtual]`

virtual CORBA::Boolean TAO_IOP::TAO_IOR_Property::set_primary | ( | CORBA::Object_ptr & | ior1,
|  | CORBA::Object_ptr ior2 | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , TAO_IOP::Duplicate , TAO_IOP::NotFound )`[pure virtual]`

virtual CORBA::Boolean TAO_IOP::TAO_IOR_Property::set_property | ( | CORBA::Object_ptr &ior | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , TAO_IOP::Invalid_IOR )`[pure virtual]`

The documentation for this class was generated from the following files:

- IORC.h
- IORC.cpp